iSCSI Enterprise Target and tgt Multiple Format String Vulnerabilities

Bugtraq ID: 39127
Class: Input Validation Error
CVE: CVE-2010-0743
Remote: Yes
Local: No
Published: Mar 31 2010 12:00AM
Updated: Jul 12 2010 10:07PM
Credit: Florent Daigniere
Vulnerable: tgt Project Linux SCSI target framework (tgt) 0.9.5
Slackware Linux x86_64 -current
Slackware Linux 13.0 x86_64
Slackware Linux 13.0
Slackware Linux 12.2
Slackware Linux -current
Red Hat Fedora 12
Red Hat Fedora 11
Red Hat Enterprise Linux 5 Server
Red Hat Cluster-Storage Server 5
MandrakeSoft Enterprise Server 5 x86_64
MandrakeSoft Enterprise Server 5
iSCSI Enterprise Target iSCSI Enterprise Target 0.4.16
iSCSI Enterprise Target iSCSI Enterprise Target 0.4.15
Debian Linux 5.0 sparc
Debian Linux 5.0 s/390
Debian Linux 5.0 powerpc
Debian Linux 5.0 mipsel
Debian Linux 5.0 mips
Debian Linux 5.0 m68k
Debian Linux 5.0 ia-64
Debian Linux 5.0 ia-32
Debian Linux 5.0 hppa
Debian Linux 5.0 armel
Debian Linux 5.0 arm
Debian Linux 5.0 amd64
Debian Linux 5.0 alpha
Debian Linux 5.0
Not Vulnerable: iSCSI Enterprise Target iSCSI Enterprise Target 0.4.19


 

Privacy Statement
Copyright 2010, SecurityFocus